summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Vincent Batts2010-05-12 17:44:53 +0200
committer Robby Workman2010-05-12 17:44:53 +0200
commit8edc7e1f181f7f2fca8e20c38999983899ac39b1 (patch)
treeac71ac5a0ccd446630cf7dab6b02b9ba6f2a8f0e /office
parent5906c167fe54a1eb4fc32805aadf6d241be06d5b (diff)
downloadslackbuilds-8edc7e1f181f7f2fca8e20c38999983899ac39b1.tar.gz
office/xmblackberry: Updated for version 0.3.0
Diffstat (limited to 'office')
-rw-r--r--office/xmblackberry/README7
-rw-r--r--office/xmblackberry/xmblackberry.SlackBuild43
-rw-r--r--office/xmblackberry/xmblackberry.info2
3 files changed, 27 insertions, 25 deletions
diff --git a/office/xmblackberry/README b/office/xmblackberry/README
index b2ed8220bb..017e2c18c4 100644
--- a/office/xmblackberry/README
+++ b/office/xmblackberry/README
@@ -1,7 +1,4 @@
BlackBerry backup/restore and GPRS modem access
-Requires:
- * OpenMotif, available at SlackBuilds.org
- * Xlt, available at SlackBuilds.org
- * libusb, included with Slackware.
- * opensync (optional for attempting synchronization)
+Requires openmotif and xlt, and optionally libopensync
+(for attempting synchronization).
diff --git a/office/xmblackberry/xmblackberry.SlackBuild b/office/xmblackberry/xmblackberry.SlackBuild
index a5e59db6be..1614bbe98a 100644
--- a/office/xmblackberry/xmblackberry.SlackBuild
+++ b/office/xmblackberry/xmblackberry.SlackBuild
@@ -3,12 +3,14 @@
# Slackware build script for xmblackberry
# Written by Vincent Batts, vbatts@batts.mine.nu
+# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=xmblackberry
VERSION=0.3.0
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -18,14 +20,18 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -39,35 +45,34 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man || exit 1
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
-if [ -h $PKG/etc/hotplug/usb/BlackBerry ] ; then
- rm $PKG/etc/hotplug/usb/BlackBerry
-fi
-if [ -h $PKG/etc/hotplug/usb/BlackBerry.usermap ] ; then
- rm $PKG/etc/hotplug/usb/BlackBerry.usermap
-fi
-if [ -h $PKG/etc/udev/rules.d/99-xmblackberry.rules ] ; then
- rm $PKG/etc/udev/rules.d/99-xmblackberry.rules
-fi
-cp -a $TMP/$PRGNAM-$VERSION/BlackBerry{,.usermap} $PKG/etc/hotplug/usb/
-cp -a $TMP/$PRGNAM-$VERSION/99-xmblackberry.rules $PKG/etc/udev/rules.d/
+rm -rf $PKG/etc/hotplug
+
+mkdir -p $PKG/lib/udev/rules.d/
+rm -f $PKG/lib/udev/rules.d/99-xmblackberry.rules
+sed s/SYSFS/ATTR/g 99-xmblackberry.rules \
+ > $PKG/lib/udev/rules.d/99-xmblackberry.rules
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/office/xmblackberry/xmblackberry.info b/office/xmblackberry/xmblackberry.info
index a389cb96ec..e576868814 100644
--- a/office/xmblackberry/xmblackberry.info
+++ b/office/xmblackberry/xmblackberry.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://downloads.sourceforge.net/xmblackberry/xmblackberry-0.3.0.tar.g
MD5SUM="c4645ce6291e81316d78abb67836f779"
MAINTAINER="Vincent Batts"
EMAIL="vbatts@batts.mine.nu"
-APPROVED="Erik Hanson"
+APPROVED="rworkman"